Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emfforms.spi.core.services.editsupport
Interface EMFFormsEditSupport

All Known Implementing Classes:
  EMFFormsEditSupportImpl

    public interface EMFFormsEditSupport

The `EMFFormsEditSupport` provides methods to get information about a property described by a `VDomainModelReference` and the corresponding root `EObject`.

Author:
  Lucas Koehler

Method Summary
`boolean` | `canSetProperty(VDomainModelReference domainModelReference, org.eclipse.emf.ecore.EObject rootObject)` Returns whether the property can be set.
`Object` | `getImage(VDomainModelReference domainModelReference, org.eclipse.emf.ecore.EObject rootObject, Object element)` Returns the label image for the given element.
`String` | `getText(VDomainModelReference domainModelReference, org.eclipse.emf.ecore.EObject rootObject, Object element)` Returns the label text for the given element.
`boolean` | `isMultiLine(VDomainModelReference domainModelReference, org.eclipse.emf.ecore.EObject rootObject)` Returns whether the property is multi line.

Method Detail

### isMultiLine

    boolean isMultiLine(VDomainModelReference domainModelReference,
                        org.eclipse.emf.ecore.EObject rootObject)

  Returns whether the property is multi line.

  Parameters:
    `domainModelReference` - The `VDomainModelReference`
    `rootObject` - The root `EObject` of the `VDomainModelReference`
  Returns:
    true if the property is multi line, false otherwise

### canSetProperty

    boolean canSetProperty(VDomainModelReference domainModelReference,
                           org.eclipse.emf.ecore.EObject rootObject)

  Returns whether the property can be set.

  Parameters:
    `domainModelReference` - The `VDomainModelReference`
    `rootObject` - The root `EObject` of the `VDomainModelReference`
  Returns:
    true if the property can be set, false otherwise

### getText

    String getText(VDomainModelReference domainModelReference,
                   org.eclipse.emf.ecore.EObject rootObject,
                   Object element)

  Returns the label text for the given element.

  Parameters:
    `domainModelReference` - The `VDomainModelReference`
    `rootObject` - The root `EObject` of the `VDomainModelReference`
    `element` - The element for which the label text should be retrieved
  Returns:
    The label text

### getImage

    Object getImage(VDomainModelReference domainModelReference,
                    org.eclipse.emf.ecore.EObject rootObject,
                    Object element)

  Returns the label image for the given element.

  Parameters:
    `domainModelReference` - The `VDomainModelReference`
    `rootObject` - The root `EObject` of the `VDomainModelReference`
    `element` - The element for which the label image should be retrieved
  Returns:
    The label image

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.